package pl.soppo.ucwizard.controler.events 
{
	import flash.events.Event;
	import pl.soppo.ucwizard.model.data.IconData;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class BrowseDestinationEvent extends Event 
	{
		public static const BROWSE:String = "browseDestinationEvent";
		public static const BROWSE_RESPONSE:String = "browseResponceDestinationEvent";
		
		private var _file:IconData;
		
		public function BrowseDestinationEvent(type:String, file:IconData=null, bubbles:Boolean=false, cancelable:Boolean=false) 
		{
			super(type, bubbles, cancelable);
			_file = file;
		}
		
		override public function clone():Event
		{
			return new BrowseDestinationEvent(type, file, bubbles, cancelable);
		}
		
		public function get file():IconData 
		{
			return _file;
		}
		
	}

}