package pl.soppo.ucwizard.controler.events 
{
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class ChangedMenuEvent extends Event 
	{
		public static const CHANGED:String = "menuChanged";
		public static const PROJECT_CHANGED:String = "projectChanged";
		
		private var _menuNumber:int = 0;
		
		public function ChangedMenuEvent(type:String, menuNumber:int=0, bubbles:Boolean=false, cancelable:Boolean=false) 
		{
			super(type, bubbles, cancelable);
			_menuNumber = menuNumber;
		}
		
		override public function clone():Event
		{
			return new ChangedMenuEvent(type, menuNumber, bubbles, cancelable);
		}
		
		public function get menuNumber():int 
		{
			return _menuNumber;
		}
		
	}

}