package pl.soppo.ucwizard.model.data 
{
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class ProjectData 
	{
		private var _label:String;
		private var _general:GeneralData;
		private var _course:CourseData;
		private var _graphics:GraphicsData;
		private var _translations:GraphicsData;
		private var _installer:GraphicsData;
		private var _generate:GenerateData;
		
		public function ProjectData(label:String, general:GeneralData=null) 
		{
			_label = label;
			_general = general;
		}
		
		public function get label():String 
		{
			return _label;
		}
		
		public function get general():GeneralData 
		{
			if ( _general == null )
				_general = new GeneralData();
			return _general;
		}
		
		public function set general(value:GeneralData):void 
		{
			_general = value;
		}
		
		public function get course():CourseData 
		{
			if ( _course == null )
				_course = new CourseData();
			return _course;
		}
		
		public function set course(value:CourseData):void 
		{
			_course = value;
		}
		
		public function get graphics():GraphicsData 
		{
			if ( _graphics == null )
				_graphics = new GraphicsData();
			return _graphics;
		}
		
		public function set graphics(value:GraphicsData):void 
		{
			_graphics = value;
		}
		
		public function get translations():GraphicsData 
		{
			if ( _translations == null )
				_translations = new GraphicsData();
			return _translations;
		}
		
		public function set translations(value:GraphicsData):void 
		{
			_translations = value;
		}
		
		public function get installer():GraphicsData 
		{
			if ( _installer == null )
				_installer = new GraphicsData();
			return _installer;
		}
		
		public function set installer(value:GraphicsData):void 
		{
			_installer = value;
		}
		
		public function get generate():GenerateData 
		{
			if (_generate == null)
				_generate = new GenerateData();
			return _generate;
		}
		
		public function set generate(value:GenerateData):void 
		{
			_generate = value;
		}
		
	}

}