package pl.soppo.ucwizard.service 
{
	import flash.events.Event;
	import flash.filesystem.File;
	import org.robotlegs.mvcs.Actor;
	import pl.soppo.ucwizard.controler.events.BrowseDestinationEvent;
	import pl.soppo.ucwizard.model.data.IconData;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class LoadDestinationFolderService extends Actor 
	{
		public function browse():void
		{
			var file:File = new File();
			file.addEventListener(Event.SELECT, handleSelect);
			file.browseForDirectory("Select destination folder.");/*new Array(new FileFilter("","cs") , new FileFilter("", "xml"))*/
		}
		
		private function handleSelect(e:Event):void 
		{
			var file:File = e.target as File;
			if ( file.exists )
			{
				var folder:IconData = new IconData();
				folder.name = file.name;
				folder.url = file.nativePath;
				dispatch( new BrowseDestinationEvent(BrowseDestinationEvent.BROWSE_RESPONSE, folder));
			}
		}
		
	}

}